Subject: Re: bug#43744: guix-install.sh should do more first-time setup
From: zimoun <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Oct 2020 19:34:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

On Thu, 01 Oct 2020 at 14:34, Ludovic Courtès <[email-masked]> wrote:

> One of the things we can do to provide a better first-time experience on
> a foreign distro is to automatically do some of the things that make
> Guix readily usable and convenient, even for someone who skips the
> “Application Setup” section of the manual.  Things that come to mind:
>
>   1. Installing Bash and Zsh completion files globally (actually making
>      them a symlink to
>      /var/guix/profiles/per-user/root/current-guix/etc/…).
>      There seems to be +/- a cross-distro conventional directory to
>      collect those, for example /etc/bash_completion.d, no?  The script
>      could create that symlink, perhaps asking the user to confirm.

Done in b3fba5ef043b161d05a9fdc371a32d89e9b22ea1.

>   2. Adding the following lines to /etc/profile (taken from Guix System):
>
> # Arrange so that ~/.config/guix/current comes first.
> for profile in "$HOME/.guix-profile" "$HOME/.config/guix/current"
> do
>   if [ -f "$profile/etc/profile" ]
>   then
>     # Load the user profile's settings.
>     GUIX_PROFILE="$profile" ; \
>     . "$profile/etc/profile"
>   else
>     # At least define this one so that basic things just work
>     # when the user installs their first package.
>     export PATH="$profile/bin:$PATH"
>   fi
> done
>
>      The user should be explicitly asked whether they want this change
>      to be made.

Nothing to done.

>   3. It could check “ps aux | grep nscd” and install nscd using the host
>      distro package manager if needed, or at least suggest doing it.

Done in b2683a2bed424f58722c9c17c9582e3e2e19d9a3.

So closing!